Agents
List agents
No key required to see public agents. With a key holding agents:read, the results also include the account’s own private agents.
GET
/
agents
List agents
curl --request GET \
--url https://api.guild.ai/v1/agentsimport requests
url = "https://api.guild.ai/v1/agents"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.guild.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_type": "GUILD_TYPESCRIPT",
"description": "<string>",
"is_public": true,
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cached_forks_count": 123,
"cached_installs_count": 123,
"cached_likes_count": 123,
"is_pinned": true,
"moderation_state": "ACTIVE",
"status": "CREATED",
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar_url": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creation_template": "LLM",
"forked_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_description": "<string>",
"maintainer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_by": "<unknown>",
"category": "<unknown>",
"forks_count": 123,
"full_name": "<string>",
"git_url": "<string>",
"installs_count": 123,
"is_description_autogenerated": "<unknown>",
"latest_published_version": "<unknown>",
"latest_version": "<unknown>",
"likes_count": 123,
"maintainer": {},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"public_profile_url": "<unknown>",
"type": "<unknown>",
"viewer_can_edit": true
}
],
"pagination": {
"total_count": 123,
"limit": 123,
"offset": 123,
"has_more": true
}
}{
"error": "<string>",
"message": "<string>"
}Query Parameters
Required range:
0 <= x <= 1000Required range:
0 <= x <= 9223372036854776000⌘I
List agents
